;
; This file contains a definition of the getlol() function in assembly language.
;
; The purpose is to obtain from DOS the address of the DOS List of Lists;
; It does this by making the undocumented DOS call int 21h, function 52h.
; The address of the List of Lists is returned in es:bx; this must be returned
; to the C program in dx:ax.
; See the file SHOWDEVS.DOC for an explanation of why the address of the
; List of Lists is wanted.
;

GETLOL_TEXT SEGMENT
            ASSUME CS: GETLOL_TEXT

            PUBLIC _get_lol

_get_lol    PROC   FAR

            mov    ah,52h
            int    21h
            mov    dx,es
            mov    ax,bx
            ret

_get_lol    ENDP

GETLOL_TEXT ENDS
END
